from StringIO import StringIO
from OFS.PropertySheets import PropertySheet
from Products.CMFCore.utils import getToolByName
from Products.CMFCore.permissions import ManagePortal
from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import install_subskin, installTypes

from Products.LatexMathImage.config import *


def setup_kupu(portal, out):
    kupuTool = getToolByName(portal, 'kupu_library_tool')

    mediaobject = list(kupuTool.getPortalTypesForResourceType('mediaobject'))
    mediaobject.append('Latex Math Image')

    kupuTool.updateResourceTypes(({'resource_type' : 'mediaobject',
                                   'old_type'      : 'mediaobject',
                                   'portal_types'  : mediaobject},
                                ))


    print >>out, 'Added custom content to kupu "resource types"'


def install(self):
    out = StringIO()
    print >> out, 'Installing Latex Math Image'
    installTypes(self, out,
                 listTypes(PROJECTNAME),
                 PROJECTNAME)

    install_subskin(self, out, GLOBALS)

    setup_kupu(self, out)

    print >> out, "Successfully installed %s." % PROJECTNAME
    return out.getvalue()

#
# Uninstall methods
#

def uninstall(self):
    out=StringIO()
    return out.getvalue()
